MessageDigestInputStream (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.common.util, class: MessageDigestInputStream

Package org.apache.cxf.common.util

# Class MessageDigestInputStream

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
java.security.DigestInputStream
org.apache.cxf.common.util.MessageDigestInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class MessageDigestInputStream extends DigestInputStream

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALGO_SHA_256`

  ### Fields inherited from class java.security.DigestInputStream

  `digest`

  ### Fields inherited from class java.io.FilterInputStream

  `in`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageDigestInputStream(InputStream is)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBase64Digest()`
  `String`
  `getBase64UrlDigest()`
  `byte[]`
  `getDigestBytes()`

  ### Methods inherited from class java.security.DigestInputStream

  `getMessageDigest, on, read, read, setMessageDigest, toString`

  ### Methods inherited from class java.io.FilterInputStream

  `available, close, mark, markSupported, read, reset, skip`

  ### Methods inherited from class java.io.InputStream

  `nullInputStream, readAllBytes, readNBytes, readNBytes, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ALGO_SHA_256

    public static final String ALGO_SHA_256
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageDigestInputStream

    public MessageDigestInputStream(InputStream is)

- ## Method Details

  - ### getDigestBytes

    public byte[] getDigestBytes()

  - ### getBase64Digest

    public String getBase64Digest()

  - ### getBase64UrlDigest

    public String getBase64UrlDigest()